Groovy Documentation

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspSelectTag

    java.lang.Object
      javax.servlet.jsp.tagext.BodyTagSupport
          org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
              org.codehaus.groovy.grails.web.taglib.jsp.JspSelectTag

    public class JspSelectTag
    extends JspInvokeGrailsTagLibTag

Authors:
  Graeme Rocher

Since:
  28-Feb-2006

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Constructor Summary
`JspSelectTag()`

Method Summary
`java.lang.String` | `getFrom()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOptionKey()`
`java.lang.String` | `getOptionValue()`
`void` | `setFrom(java.lang.String from)`
`void` | `setName(java.lang.String name)`
`void` | `setOptionKey(java.lang.String optionKey)`
`void` | `setOptionValue(java.lang.String optionValue)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Constructor Detail

### JspSelectTag

    public JspSelectTag()

Method Detail

### getFrom

    public java.lang.String getFrom()

### getName

    public java.lang.String getName()

### getOptionKey

    public java.lang.String getOptionKey()

### getOptionValue

    public java.lang.String getOptionValue()

### setFrom

    public void setFrom(java.lang.String from)

### setName

    public void setName(java.lang.String name)

### setOptionKey

    public void setOptionKey(java.lang.String optionKey)

### setOptionValue

    public void setOptionValue(java.lang.String optionValue)

Groovy Documentation